<?php

namespace Database\Factories;

use App\Models\OrderProduct;
use App\Models\ProductSize;
use Illuminate\Database\Eloquent\Factories\Factory;
use Illuminate\Support\Carbon;

class ProductSizeFactory extends Factory
{
    protected $model = ProductSize::class;

    public function definition(): array
    {
        return [
            'created_at' => Carbon::now(),
            'updated_at' => Carbon::now(),
            'size' => $this->faker->word(),
            'amount' => $this->faker->word(),

            'order_product_id' => OrderProduct::factory(),
        ];
    }
}
