<?php

namespace Database\Factories;

use App\Models\Order;
use App\Models\OrderProduct;
use Illuminate\Database\Eloquent\Factories\Factory;
use Illuminate\Support\Carbon;

class OrderProductFactory extends Factory
{
    protected $model = OrderProduct::class;

    public function definition(): array
    {
        return [
            'created_at' => Carbon::now(),
            'updated_at' => Carbon::now(),
            'sku' => $this->faker->word(),
            'product_name' => $this->faker->name(),
            'color' => $this->faker->word(),

            'order_id' => Order::factory(),
        ];
    }
}
