<?php

namespace Database\Factories;

use App\Models\ServiceFile;
use Illuminate\Database\Eloquent\Factories\Factory;
use Illuminate\Support\Carbon;

class ServiceFileFactory extends Factory
{
    protected $model = ServiceFile::class;

    public function definition(): array
    {
        return [
            'created_at' => Carbon::now(),
            'updated_at' => Carbon::now(),
            'code' => $this->faker->word(),
            'name' => $this->faker->name(),
            'width' => $this->faker->randomFloat(),
            'height' => $this->faker->randomFloat(),
            'unit' => $this->faker->word(),
        ];
    }
}
